package com.yovinchen.xlcs.acl.service;

import com.yovinchen.xlcs.model.acl.Admin;
import com.yovinchen.xlcs.vo.acl.AdminQueryVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * ClassName: AdminService
 * Package: com.yovinchen.xlcs.acl.service
 * 用户管理
 *
 * @author yovinchen
 * @Create 2023/9/14 10:44
 */
public interface AdminService extends IService<Admin> {

    /**
     * 用户分页列表
     *
     * @param pageParam
     * @param userQueryVo
     * @return
     */
    IPage<Admin> selectPage(Page<Admin> pageParam, AdminQueryVo userQueryVo);

}
